<div id="summary-purchase" class="page-layout simple fullwidth" fusePerfectScrollbar>

        <!-- HEADER -->
        <div class="header secondColorBrand p-24" fxLayout="row" [ngClass]="secondColorBrand" fxLayoutAlign="start center"
            fxLayoutGap="10px">
            <mat-icon class="white-fg">shopping_cart</mat-icon>
            <h2  class="white-fg">Resumo</h2>
        </div>
        <!-- / HEADER -->
      
        <!-- CONTENT -->
        <div class="content p-24 mat-white-bg">


                <div class="panel-content">
                  
                    
                        <div fxFlex="70">
      
                          <div fxLayout="row" fxLayoutAlign="start center">
      
                              <div id="invoice" class="modern page-layout blank" fxLayout="row" fusePerfectScrollbar>
      
                                  <div class="invoice-container" fxFlex="100" >
                              
                                      <div class="card" >
      
                                          <div class="section pb-48">
                                              
                                              <div class="pb-16" fxLayout="row" fxLayoutAlign="start center" [ngClass]="primaryColorBrand">
                                                <br><br>
                                                  &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">account_circle</mat-icon>
                                                  <div class="h2 secondary-text white-fg">Cliente</div>
                                              </div>
      
                                              <div class="customer">
                                                  <table class="simple">
                                                      <thead>
                                                          <tr>
                                                              <th>Nome</th>
                                                              <th>CPF</th>
                                                              <th>Email</th>
                                                              <th>Celular</th>
                                                          </tr>
                                                      </thead>
                                                      <tbody>
                                                          <tr>
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary && summary.customer" >{{summary.customer['name']}}</span>
                                                              </td>    
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary && summary.customer" >{{summary.customer['registrationNumber'] ? maskRegistrationNumber(summary.customer['registrationNumber']) : '-'}}</span>
                                                              </td>                                              
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary && summary.customer" >{{summary.customer['email']}}</span>
                                                              </td>
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary && summary.customer" >{{summary.customer['mobilePhone'] ? maskPhoneNumber(summary.customer['mobilePhone']) : '-'}}</span>
                                                              </td>
                                                          </tr>
                                                      </tbody>
                                                  </table>
                                              </div>
                                          </div>
      
      
                                          <!-- <div class="section pb-48">
      
                                              <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                                  &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">directions_car</mat-icon>
                                                  <div class="h2 secondary-text">Veículo</div>
                                              </div>
      
                                              <div class="customer">
                                                  <table class="simple">
                                                      <thead>
                                                          <tr>
                                                              <th>Marca</th>
                                                              <th>Modelo</th>
                                                              <th>Placa</th>
                                                              <th>Ano</th>
                                                          </tr>
                                                      </thead>
                                                      <tbody>
                                                          <tr>
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['manufacture']}}</span>
                                                              </td>                                                
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['model']}}</span>
                                                              </td>
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['licensePlate']}}</span>
                                                              </td>
                                                              <td>
                                                                  <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['modelYear']}}</span>
                                                              </td>
                                                          </tr>
                                                      </tbody>
                                                  </table>
                                              </div>
                                          </div> -->
      
                                            <div class="section pb-48">
      
                                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center" [ngClass]="primaryColorBrand">
                                                    <br><br>
                                                    &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">library_books</mat-icon>
                                                    <div class="h2 secondary-text white-fg" >Plano</div>
                                                </div>
      
                                                <div class="customer">
                                                    <table class="simple">
                                                        <thead>
                                                            <tr>
                                                                <th>Plano</th>
                                                                <th>Descrição</th>
                                                                <th>Produtos</th>
                                                                <th>Serviços</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody *ngFor="let plan of summary.plan">
                                                            <tr>
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="plan" >{{plan['name']}}</span>
                                                                </td>                                                
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="plan" >{{plan['description']}}</span>
                                                                </td>
                                                                <td>
                                                                    <div *ngIf="plan && plan.products  && plan.products.length > 0">
                                                                        <span *ngFor="let product of plan.products">- {{product.name}}<br></span>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <div *ngIf="plan && plan.services  && plan.services.length > 0">
                                                                        <span *ngFor="let service of plan.services">- {{service.name}}<br></span>
                                                                      </div> 
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
      
                                            <div class="section pb-48">
      
                                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center" [ngClass]="primaryColorBrand">
                                                        <br><br>
                                                    &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">attach_money</mat-icon>
                                                    <div class="h2 secondary-text white-fg">Pagamento</div>
                                                </div>
      
                                                <table class="simple">
                                                    <thead>
                                                        <tr>
                                                            <th style="text-align:left;">Forma de Pagamento</th>
                                                            <th style="text-align:left;">Vencimento da Fatura</th>
                                                            <th style="text-align:left;" *ngIf="summary.payment && summary.payment.typePayment == 'CREDIT_CARD'">Parcelamento</th>
                                                            <th style="text-align:left;" >Valor</th>
                                                            <th style="text-align:left;" *ngIf="payment && payment.type != 'BOOKLET'">Bandeira</th>
                                                            <th style="text-align:left;" *ngIf="payment && payment.type != 'BOOKLET'">Número</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td style="text-align:left;">
                                                                <span class="text-truncate" *ngIf="summary.payment">
                                                                    {{paymentTypeEnumToString(summary.payment.typePayment)}}
                                                                </span>
                                                            </td> 
                                                            <td style="text-align:left;" *ngIf="summary.payment && summary.payment.dueDay">
                                                                <span class="text-truncate" *ngIf="summary.payment && summary.payment.dueDay">
                                                                    Dia&nbsp;&nbsp;{{summary.payment.dueDay}}
                                                                </span>
                                                            </td>                               
                                                            <td style="text-align:left;" *ngIf="summary.payment && summary.payment.installments && summary.payment.typePayment == 'CREDIT_CARD'">
                                                                <span class="text-truncate" *ngIf="summary.payment && summary.payment.installments && summary.payment.typePayment == 'CREDIT_CARD'">
                                                                    Parcelado em&nbsp;{{summary.payment.installments}}x
                                                                </span>
                                                            </td>
                                                            <td style="text-align:left;" *ngIf="summary.payment ">
                                                                <span class="text-truncate" *ngIf="summary.payment && summary.payment.totalPrice">
                                                                    {{summary.payment.totalPrice | currency: 'BRL'}}
                                                                </span>
                                                                <span class="text-truncate" *ngIf="summary.payment && !summary.payment.totalPrice">
                                                                    {{0 | currency: 'BRL'}}
                                                                </span>
                                                            </td>                                            
                                                            <td style="text-align:left;" *ngIf="payment && payment.type != 'BOOKLET'">
                                                                <span class="text-truncate" *ngIf="payment && payment.type != 'BOOKLET'">
                                                                    {{payment?.creditCardBrand ? payment?.creditCardBrand : payment?.debitCardBrand}}
                                                                </span>
                                                            </td>
                                                            <td style="text-align:left;" *ngIf="payment && payment.type != 'BOOKLET'">
                                                                <span class="text-truncate" *ngIf="payment && payment.type != 'BOOKLET'">
                                                                    {{payment?.creditCardNumber ? payment?.creditCardNumber : payment.debitCardNumber.substring(0, 4)+payment.debitCardNumber.substring(5, 7)+"******"+payment.debitCardNumber.substring(15, 19)}}
                                                                </span>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div> 
      
                                            <div class="section pb-48" *ngIf="summary && summary.address && summary.address['street']">
      
                                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center" [ngClass]="primaryColorBrand">
                                                        <br><br>
                                                    &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">local_shipping</mat-icon>
                                                    <div class="h2 secondary-text white-fg">Entrega</div>
                                                </div>
      
                                                <div class="customer">
                                                    <table class="simple">
                                                        <thead>
                                                            <tr>
                                                                <th>Endereço</th>
                                                                <th>Número</th>
                                                                <th>Cep</th>
                                                                <th>Cidade</th>
                                                                <th>UF</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="summary && summary.address" >{{summary.address['street']}}</span>
                                                                </td>
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="summary && summary.address" >{{summary.address['number']}}</span>
                                                                </td>
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="summary && summary.address" >{{summary.address['postalCode']}}</span>
                                                                </td>
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="summary && summary.address" >{{summary.address['city']}}</span>
                                                                </td> 
                                                                <td>
                                                                    <span class="email text-truncate" *ngIf="summary && summary.address" >{{summary.address['state']}}</span>
                                                                </td> 
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                    <br>
                                                    <table class="simple" *ngIf="freight">
                                                            <thead>
                                                                <tr>
                                                                    <th>Forma de envio</th>
                                                                    <th>Custo</th>
                                                                    <th>Entrega prevista</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr>
                                                                    <td>
                                                                            <span class="email text-truncate">  {{freight.serviceDescription }}   </span>
                                                                    </td>
                                                                    <td>
                                                                            <span class="email text-truncate">  R$&nbsp; {{ freight.value }} </span>
                                                                    </td>   
                                                                    <td>
                                                                            <span class="email text-truncate">  {{ freight.deliveryTime }}&nbsp; dias</span>
                                                                    </td>             
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                </div>
                                            </div>
      
                                        </div>
      
                                      </div>
                                      
                                </div>
                           
                            </div>
      
                          </div>
      
                          <div fxFlex="30">
      
                            <div fxLayout="row" fxLayoutAlign="start center"  style="text-align:left" >
                                                  
                              <div class="summary" style="width: 600px;">
                                  <mat-card>
                                      <mat-card-header>
                                          <mat-card-title>Resumo da Compra</mat-card-title>
                                      </mat-card-header>
                                      <mat-divider></mat-divider>
                                      <mat-card-content>
                                          <br>
                                          <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="10px">
                                          <div fxFlex="70">
                                              &nbsp;&nbsp;Total
                                          </div>
                                          <div fxFlex="30">
                                              <span class="email text-truncate" *ngIf="summary.payment && summary.payment.totalPrice" >{{summary.payment.totalPrice | currency:'BRL':true}}</span>
                                              <span class="email text-truncate" *ngIf="summary.payment && !summary.payment.totalPrice" >{{0 | currency:'BRL':true}}</span>
                                          </div>
                                          </div>
                                      </mat-card-content>
                                  </mat-card>
                                  <br>
                                  <div class="actions"  fxLayout="column" fxLayoutAlign="start end" fxLayoutGap="10px" >

                                      <button type="button" color="accent" style="width: 100%;" (click)="calculateFreight()" mat-raised-button >Calcular Frete</button>
                                      
                                      <button type="button" color="primary" style="width: 100%;"  (click)="approvePurchase()" *ngIf="summary.plan && summary.plan.length > 0" mat-raised-button >{{summary.plan[0].agreement == 'LEASE' ? 'Contratar' : summary.plan[0].agreement == 'SALE' ? 'Confirmar Compra' : 'Confirmar Aluguel'}}</button>
                                    
                                      <button mat-raised-button color="primary"  style="width: 100%;" (click)="rejectPurchase()"  *ngIf="summary.plan && summary.plan.length > 0" >{{summary.plan[0].agreement == 'LEASE' ? 'Salvar' : summary.plan[0].agreement == 'SALE' ? 'Salvar Compra' : 'Salvar Aluguel'}}</button>
                                                                                                                                                                                    
                                      
                                  </div>
                                  
                                </div> 
                              </div> 
                          </div>
                        </div>
      
          
        
        </div>
        <!-- / CONTENT -->
      
      </div>
      